Login 404 after upgrade

Hi All,

I’m having an issue with with rt4.0.10 after an upgrade from rt4.0.5.
The upgrade seemed to go very smoothly with no errors and finished quickly.
I restarted Apache and browsed to the login page.
My user authenticated as expected (via ldap) but I got 404 page not found
error.

This line from the access log shows that its trying to open an unusual
page. Has anybody seen this before? A quick search has thrown up nothing
for me.

10.1.2.1 - - [07/Mar/2013:16:07:23 +0000] "GET /HASH(0x7630a80) HTTP/1.1"
404 14824

If I click on the Homepage link it loads without a problem and I don’t get
any further errors.

Kind regards,
Rory

Hi All,
I’m having an issue with with rt4.0.10 after an upgrade from rt4.0.5.
The upgrade seemed to go very smoothly with no errors and finished quickly.
I restarted Apache and browsed to the login page.
My user authenticated as expected (via ldap) but I got 404 page not found error.
This line from the access log shows that its trying to open an unusual page. Has anybody seen
this before? A quick search has thrown up nothing for me.
10.1.2.1 - - [07/Mar/2013:16:07:23 +0000] “GET /HASH(0x7630a80) HTTP/1.1” 404 14824
If I click on the Homepage link it loads without a problem and I don’t get any further errors.

You need to newest version of RT-Authen-ExternalAuth (see the
changelog for version 0.12)

http://cpansearch.perl.org/src/TSIBLEY/RT-Authen-ExternalAuth-0.13/ChangeLog

-kevin

Thanks Kevin.
I’ve updated to version 0.13 from CPAN but when I restarted apache I got
the same error. Am I missing something?
Is there a way I can check that RT is using the correct version?

RoryOn 7 March 2013 16:46, Kevin Falcone falcone@bestpractical.com wrote:

On Thu, Mar 07, 2013 at 04:33:40PM +0000, Rory wrote:

Hi All,
I’m having an issue with with rt4.0.10 after an upgrade from rt4.0.5.
The upgrade seemed to go very smoothly with no errors and finished
quickly.
I restarted Apache and browsed to the login page.
My user authenticated as expected (via ldap) but I got 404 page not
found error.
This line from the access log shows that its trying to open an
unusual page. Has anybody seen
this before? A quick search has thrown up nothing for me.
10.1.2.1 - - [07/Mar/2013:16:07:23 +0000] “GET /HASH(0x7630a80)
HTTP/1.1” 404 14824
If I click on the Homepage link it loads without a problem and I
don’t get any further errors.

You need to newest version of RT-Authen-ExternalAuth (see the
changelog for version 0.12)

http://cpansearch.perl.org/src/TSIBLEY/RT-Authen-ExternalAuth-0.13/ChangeLog

-kevin


RT training in Amsterdam, March 20-21:
http://bestpractical.com/services/training.html

Help improve RT by taking our user survey:
https://www.surveymonkey.com/s/N23JW9T

I’ve updated to version 0.13 from CPAN but when I restarted apache I got the same error. Am I
missing something?

Have you cleared your mason cache?

You should be clearing that any time you upgrade RT or an extension.

Is there a way I can check that RT is using the correct version?

The System Configuration page will tell you what version of extensions
RT is running.

-kevin

Kevin Falcone wrote:> On Thu, Mar 07, 2013 at 05:28:51PM +0000, Rory wrote:

I’ve updated to version 0.13 from CPAN but when I restarted apache I got the same error. Am I
missing something?

Have you cleared your mason cache?

You should be clearing that any time you upgrade RT or an extension.

I had the same problem and it went away after cleaning out all sessions
(and ofcourse clearing mason cache).

Regards,

Joop